﻿#version 330 core

// GBuffer
layout (location = 0) out vec3 gNormal;
layout (location = 1) out vec3 gAlbedo;
layout (location = 2) out vec3 gOcclusionRoughnessMetallic;
layout (location = 3) out vec3 gPosition;

in vec3 FragPos;
in vec3 Normal;

in vec3 texCoord;
in float brightness;

uniform sampler2DArray albedo;

// Metallic + Roughness
uniform sampler2DArray occlusionRoughnessMetallic;

void main()
{
    vec4 texColor = texture(albedo, texCoord);

    if(texColor.a < 0.5) discard;

    gNormal = normalize(Normal);
    gAlbedo.rgb = texColor.rgb;
    gPosition = FragPos;

    vec3 ormValue = texture(occlusionRoughnessMetallic, texCoord).rgb;

    gOcclusionRoughnessMetallic = ormValue;
}