﻿#version 330 core
in vec3 color;
in vec2 texCoord;

out vec4 FragColor;

uniform vec4 tint;
uniform sampler2D albedo;
uniform float progressX;
uniform float progressY;

void main()
{
	if(texCoord.x > progressX) discard;
	if(1 - texCoord.y > progressY) discard;

	FragColor = texture(albedo, texCoord) * tint;
}