﻿#version 330 core

// GBuffer
layout (location = 0) out vec3 gNormal;
layout (location = 1) out vec3 gAlbedo;
layout (location = 2) out vec3 gOcclusionRoughnessMetallic;
layout (location = 3) out vec3 gPosition;

in vec3 FragPos;
in vec3 Normal;

in vec3 color;
in vec2 texCoord;

// Albedo
uniform sampler2D albedo;
uniform vec4 albedoTint;

// Metallic + Roughness
uniform sampler2D occlusionRoughnessMetallic;
uniform vec3 occlusionRoughnessMetallicTint;

void main()
{
    vec4 color = texture(albedo, texCoord);
    if(color.a < 0.5f) discard;

    gNormal = normalize(Normal);
    gAlbedo = color.rgb * albedoTint.rgb;
    gPosition = FragPos;

    // Combine metallic, roughness, and occlusion data
    vec3 ormValue = texture(occlusionRoughnessMetallic, texCoord).rgb * occlusionRoughnessMetallicTint;

    gOcclusionRoughnessMetallic = ormValue;//vec3(occlusionRoughnessMetallicTint.r, texture(occlusionRoughnessMetallic, texCoord).gb * occlusionRoughnessMetallicTint.gb);
}